Subject: bug#22569: 24.5; gud/gdb with tramp: warning in setting controlling terminal

From: Michael Albinus <[email-masked]>
Date: Sun, 21 Aug 2016 10:30:37 +0200

Aiko Kyle <[email-masked]> writes:

> When I run gdb on a remote host through tramp I get the following
> warning in the input/output buffer:
>
> "warning: GDB: Failed to set controlling terminal: Operation not
> permitted\n"
>
> Tramp is defaulting to a scp connection to the remote server on which
> I'm running gdb. 
>
> I still got it with emacs -q so it definetly not caused by any
> external
> packages. It seems bug#4604 and bug#6360 are similar to this but I
> couldn't find any resolution to these and it has been awhile since
> these
> were submitted.

You're right, it is the same problem as desribed in 4604 and 6360, so I
merge this bug with them.

And I will also close all of them; the incrimed message is just a
warning which doesn't harm.

Best regards, Michael.